Intelli Recover Device
8 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getIntelliRecoverSetting | GET | Get intelli recover setting |
| modifyIntelliRecoverSetting | POST | Modify intelli recover setting |
| addMonitorDevices | POST | Add device into intelli recover device list |
| deleteMonitorDevices | DELETE | Delete the intelli recover device |
| getEligibleDeviceList | GET | Obtain the list of devices that can be monitored |
| getGridMonitorDevice | GET | Get the intelli recover device list |
| rebootDeviceUplinkPoe | POST | Reboot the device uplinkDevice poe |
| verifyMonitorDevice | POST | Verify if the device is allowed to be monitored |
getIntelliRecoverSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/intelli-recover/auto-setting/config
Get intelli recover setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getIntelliRecoverSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get intelli recover setting
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
modifyIntelliRecoverSetting
POST /openapi/v1/{omadacId}/sites/{siteId}/intelli-recover/auto-setting/modify
Modify intelli recover setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema IntelliRecoverSetting
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The intelli recover setting Id. |
autoFlag | boolean | no | Auto recovering flag |
firstRebootPoeInterval | integer | no | First reboot uplinkDevice poe interval |
limitNum | integer | no | The limit reboot uplinkDevice poe number |
rebootPoeInterval | integer | no | Retry reboot uplinkDevice poe interval |
// omada_call_operation
{
"operationId": "modifyIntelliRecoverSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify intelli recover setting
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
addMonitorDevices
POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/add
Add device into intelli recover device list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema AddMonitorDeviceList
| Field | Type | Required | Description |
|---|---|---|---|
addDeviceList | array<MonitorDevice> | no | The device to be added to the monitor list |
// omada_call_operation
{
"operationId": "addMonitorDevices",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Add device into intelli recover device list
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
deleteMonitorDevices
DELETE /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/delete
Delete the intelli recover device
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DeleteIntelliRecoverDevice
| Field | Type | Required | Description |
|---|---|---|---|
deleteMacs | array<string> | no | The device macs to be deleted from intelli recover device list. |
// omada_call_operation
{
"operationId": "deleteMonitorDevices",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete the intelli recover device
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getEligibleDeviceList
GET /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/eligible-device-grids
Obtain the list of devices that can be monitored
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getEligibleDeviceList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Obtain the list of devices that can be monitored
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
getGridMonitorDevice
GET /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/grids
Get the intelli recover device list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridMonitorDevice",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get the intelli recover device list
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
rebootDeviceUplinkPoe
POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/reboot-uplink-poe
Reboot the device uplinkDevice poe
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema MonitorDevice
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | The monitor device Id |
customId | string | no | The device Id |
name | string | no | The device name |
mac | string | yes | The device mac |
ip | string | no | The device ip |
deviceType | integer | no | The device type |
type | string | no | The device type.Such as: ap, switch, gateway |
showModel | string | no | The device showModel |
specialModel | string | no | The device specialModel |
model | string | no | The device model |
modelVersion | string | no | The device modelVersion |
modelModelVersion | string | no | The device modelModelVersion |
clientFlag | boolean | no | Whether the device is a client |
statusCategory | integer | no | Whether the device is online |
clientType | string | no | Client type |
monitoringStatus | integer | no | The device monitoringStatus |
recoveryCycles | integer | no | The device recoveryCycles |
uplinkDevice | UplinkDevice | no | (UplinkDevice not expanded; call omada_get_schema "UplinkDevice") |
eligibleFlag | boolean | no | Whether the device can be monitored |
notEligibleReason | string | no | The reason of the device can't be monitored |
// omada_call_operation
{
"operationId": "rebootDeviceUplinkPoe",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Reboot the device uplinkDevice poe
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
verifyMonitorDevice
POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-device/verify
Verify if the device is allowed to be monitored
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema VerifyDevice
| Field | Type | Required | Description |
|---|---|---|---|
monitorDevice | MonitorDevice | no | (MonitorDevice not expanded; call omada_get_schema "MonitorDevice") |
// omada_call_operation
{
"operationId": "verifyMonitorDevice",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Verify if the device is allowed to be monitored
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.